Data Fields

# DMXConfigCmdStruct Struct Reference

## Data Fields
const char * | filename
const char * | config
DMXConfigList * | displays
DMXConfigList * | inputs
DMXConfigList * | xinputs

## Detailed Description

This stucture stores the parsed configuration information.

## Field Documentation

const char* DMXConfigCmdStruct::config

Referenced by dmxConfigConfigure(), dmxConfigFromConfigFile(), dmxConfigMatch(), and dmxConfigStoreConfig().

DMXConfigList* DMXConfigCmdStruct::displays

Referenced by dmxConfigConfigure(), dmxConfigFromCommandLine(), and dmxConfigStoreDisplay().

const char* DMXConfigCmdStruct::filename

Referenced by dmxConfigConfigure(), dmxConfigFromConfigFile(), dmxConfigSetMaxScreens(), and dmxConfigStoreFile().

DMXConfigList* DMXConfigCmdStruct::inputs

Referenced by dmxConfigConfigInputs(), and dmxConfigStoreInput().

DMXConfigList* DMXConfigCmdStruct::xinputs

Referenced by dmxConfigConfigInputs(), and dmxConfigStoreXInput().

The documentation for this struct was generated from the following file:

- dmxconfig.c